Obter cliente
curl --request GET \
--url https://api.upag.io/v1/customers/{customerId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/customers/{customerId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Clientes
Obter cliente
Consulta um cliente pelo ID
GET
https://api.upag.io
/
v1
/
customers
/
{customerId}
Obter cliente
curl --request GET \
--url https://api.upag.io/v1/customers/{customerId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/customers/{customerId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Endpoint
curl https://api.upag.io/v1/customers/660e8400-e29b-41d4-a716-446655440001 \
-H "Authorization: Bearer sk_test_your_api_key"
Resposta
200 OK
Response
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "John Customer",
"email": "john@example.com",
"document": { "number": "12345678901", "type": "cpf" },
"phone": {
"countryCode": "55",
"areaCode": "11",
"number": "999998888"
},
"address": {
"street": "Rua A",
"number": "100",
"complement": "Apto 1",
"neighborhood": "Centro",
"city": "Sao Paulo",
"state": "SP",
"country": "BR",
"zip": "01001000"
},
"createdAt": "2026-03-18T11:00:00.000Z",
"updatedAt": "2026-03-18T11:00:00.000Z"
}